SDL_LogMessage(3)

NAME
SDL_LogMessage - Log a message with the specified category and priority.

SYNOPSIS
#include <SDL3/SDL_log.h>

void SDL_LogMessage(int category,
                SDL_LogPriority priority,
                const char *fmt, ...);

FUNCTION PARAMETERS

category
    the category of the message.

priority
    the priority of the message.

fmt a printf() style message format string.

... additional parameters matching % tokens in the fmt string, if any.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_Log(3), SDL_LogCritical(3), SDL_LogDebug(3), SDL_LogError(3), SDL_LogInfo(3), SDL_LogMessageV(3), SDL_LogTrace(3), SDL_LogVerbose(3), SDL_LogWarn(3)